/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 22/02/2026, 18:55:44
    Author     : jomar.domingos
*/

@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/Montserrat-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}


body, *, span
{
    font-family: 'Montserrat', sans-serif;
    font-size: 13px;
    
}
body{
    padding: 0px; margin: 0px;
}

.div_secao{
    margin-left:20vw;margin-top: 1vh; min-height: 80px; float: left; width: 60vw;text-align: center; font-size: 3.2em; margin-top: 5vh; color: #444
}


.ui-tabs .ui-tabs-nav {
    display: flex !important;
    justify-content: center !important; 
}

.bt_topo_page .ui-button{
    height: 80px !important; border-radius: 8px !important; background-color: #7DD93E !important; border: none !important; color: #538234 !important;
    margin-top: 1.5vh
}

.pi{
    font-size: 1.1em !important;
}

.ui-autocomplete-input
{
    width: 86% !important;
    line-height: 35px !important;
    border-radius: 15px !important;
    padding: 16px !important;
    font-size: 1.3em !important;
    font-family: 'Montserrat', sans-serif !important;
    
}

.ui-autocomplete-dropdown.ui-button{
    height: 70px !important;
    width: 11% !important;
    margin-left: 1% !important;
    border-radius: 8px !important;
    float: right;
    background: #538234 !important;
    color: #FFF !important;
    border: none !important;
}

.ui-autocomplete-dropdown.ui-button:hover{
    background: #ccffcc !important;
    color: #538234 !important;
}

.ui-autocomplete-input::placeholder, .ui-inputfield::placeholder
{
    color: #CCC !important;
}

.bt_topo_home, .bt_topo_home.ui-button, .bt_topo_home_white_color
{
    line-height: 80px;
    height: 80px;
    width: 170px;
    background: #ccffcc; 
    color: #538234 !important; 
    text-align: center;
    border-radius: 8px !important;
    float: left; 
    margin-left: 1vh;
    margin-top: 1vh; 
    border: none !important;
    
}

.bt_finalizar_compra
{
    line-height: 60px;
    height: 60px;
    min-width: 100px;
    padding: 0 10px;
    background: #538234; 
    color: #FFF !important; 
    text-align: center;
    border-radius: 8px !important;
    margin-left: 1vh;
    margin-top: 5px; 
    border: none !important;
    
}

.bt_remover_carrinho
{
    line-height: 40px;
    height: 40px;
    width: 60px;
    background: #ff9999; 
    color: #FFF !important; 
    text-align: center;
    border-radius: 8px !important;
    float: right; 
    border: none !important;
    
}

.bt_remover_carrinho:hover
{
    background: #ff6666; 
    
    
}

.ui-datascroller-item .bt_topo_home{
    font-family: 'Montserrat', sans-serif !important;
}


.bt_topo_home.ui-button
{
    padding:  0px !important;
}

.bt_topo_home:hover, .bt_topo_home.ui-button:hover, .bt_topo_home_white_color:hover
{
    background: #7DD93E;
    color: #FFF !important;
    text-decoration: none !important;
    transition: 0.3s ease-in-out;
}

.bt_finalizar_compra:hover
{
    background: #ccffcc;
    color: #538234 !important;
    text-decoration: none !important;
    transition: 0.3s ease-in-out;
}

.bt_topo_home_white_color:hover, .bt_topo_home_white_color:hover pi{
    color: #FFF !important; 
    font-size: 1.1em !important;
}

.ui-dialog-titlebar-close
{
    box-shadow: 0px 0px 3px #AAA !important;
}

a:hover
{
    text-decoration: none !important;
}


.ui-inputfield.ui-state-focus, .ui-button.ui-state-focus, .ui-inputfield{
    border: 1px solid #eee !important;
    box-shadow: 0px 0px 3px #FAFAFA !important;
     border-radius: 15px !important;
}

.ui-inputfield.ui-state-hover{
    /*border: 1px solid #538234 !important;*/
    border: 1px solid #eee !important;
    box-shadow: 0px 0px 3px #FAFAFA !important;
    border-radius: 15px !important;
}

.ui-datascroller, .ui-datascroller-content
{
    z-index: 100 !important;
    border: none !important;
}

.product-card
{
    
    margin-bottom: 4vh;
    transition: ease-in-out 0.3s;
    text-align: center; 
    float: left;
    width: 24%; 
    min-width: 300px;
    height: 270px;
    border-radius: 5px;
    padding-top: 4vh;
}

.carrinho-product-card
{
    padding-top: 1vh;
    transition: ease-in-out 0.3s;
    text-align: center; 
    height: 190px;
    border-radius: 5px;
    width: 100% !important;
    float: left;        
    border-bottom: 2px solid #eee;
}

.carrinho-product-card:hover{
    background: #F6F6F6;
}

.img_prod_list{
    border-radius: 100px; height: 90px; width: 90px; margin: 0 auto; overflow: hidden; box-shadow: 0px 0px 10px #DDD;
    transition: ease-in-out 0.5s;
    background: #FFF;
}

.img_prod_list{
   object-fit: cover;
}


.product-card:hover .img_prod_list
{
    box-shadow: 0px 0px 26px #AAA;
    cursor: pointer;
}

.txtPreco{
    font-weight: bold; font-size: 1.2em; color: #009900
}

.product-card:hover .txtPreco
{
    transition: ease-in-out 0.3s;
    color:#7DD93E; 
        
}

.ui-spinner-input
{
    text-align: center !important;
    font-size: 1.2em !important;
}


.ui-paginator.ui-paginator-bottom
{
    width: 100%;
    float: left !important;
    text-align: center !important;
}

.titleHomeSection{
    padding-bottom: 18px; border-bottom: 4px solid #EaEaEa; color: #CCAE05;
    font-size: 1.8em !important
}

.ui-carousel-indicator.ui-state-highlight .ui-link
{
    background:#CCAE05 !important;
}

.ui-paginator-page.ui-button.ui-button-flat.ui-state-default.ui-state-active
{
    background: #CCAE05  !important; 
    color: #FFF !important;
    font-weight: bold !important;
}

.ui-spinner-button.ui-button
{
    background:  #CCAE05 !important;
    border: none !important;
}

.txt-field
{
    font-size: 1.6em !important; width: 100% !important; font-family: 'Montserrat', sans-serif !important;padding: 18px !important
}
